List all incident statuses for an organisation.
GET
/
v1
/
incident_statuses
List
curl --request GET \
--url https://api.incident.io/v1/incident_statuses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.incident.io/v1/incident_statuses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.incident.io/v1/incident_statuses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"incident_statuses": [
{
"category": "triage",
"created_at": "2021-08-17T13:28:57.801578Z",
"description": "Impact has been **fully mitigated**, and we're ready to learn from this incident.",
"id": "01FCNDV6P870EA6S7TK1DSYD5H",
"name": "Closed",
"rank": 4,
"updated_at": "2021-08-17T13:28:57.801578Z"
}
]
}🔑 Requires the
incident_statuses.view scope.Authorizations
API key from your incident.io dashboard (Settings → API keys)
Response
200 - application/json
OK response.
Show child attributes
Show child attributes
Example:
[ { "category": "triage", "created_at": "2021-08-17T13:28:57.801578Z", "description": "Impact has been **fully mitigated**, and we're ready to learn from this incident.", "id": "01FCNDV6P870EA6S7TK1DSYD5H", "name": "Closed", "rank": 4, "updated_at": "2021-08-17T13:28:57.801578Z" } ]
Was this page helpful?
⌘I
List
